<xml></xml>

Saxon API for .NET |

# XQueryCompiler Members

XQueryCompiler overview

#### Public Instance Properties

BaseUri | The base URI of the query, which forms part of the static context of the query. This is used for resolving any relative URIs appearing within the query, for example in references to library modules, schema locations, or as an argument to the `doc()` function.
ErrorList | List of errors. The caller should supply an empty list before calling Compile; the processor will then populate the list with error information obtained during the compilation. Each error will be included as an object of type StaticError. If no error list is supplied by the caller, error information will be written to the standard error stream.
Implementation | Escape hatch to the underying Java implementation
QueryResolver | A user-supplied `IQueryResolver` used to resolve location hints appearing in an `import module` declaration.

#### Public Instance Methods

Compile | Overloaded. Compile a query supplied as a Stream.
DeclareNamespace | Declare a namespace for use by the query. This has the same status as a namespace appearing within the query prolog (though a declaration in the query prolog of the same prefix will take precedence)
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XQueryCompiler Class | Saxon.Api Namespace